GET
https://api.cryptohopper.com/v1/hopper/{id}/marketmaker/trend
Returns the manual market trend of a market maker bot, if one is set, and the trend its strategy last detected.
OAuth scope:
read About scopes
manual_trend_time is when the manual trend ends. When no trend has been stored for the bot's current market, the trend fields are empty strings and the time fields are 0. current_trend_ta is a JSON-encoded string.
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/trend" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/trend', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/trend",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/trend');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID of a market maker bot. |
Response
{
"data": {
"manual_trend": "uptrend",
"manual_trend_time": "2026-09-25 10:45:00",
"current_trend_ta": "[]",
"current_trend": "neutral",
"current_trend_time": "2026-09-25 10:15:00"
}
}